org.eclnt.jsfserver.elements.impl

## Interface IFIXGRIDExcelExporter

- All Known Implementing Classes:
    FIXGRIDDummyExcelExporter, FIXGRIDExcelExporter

      public interface IFIXGRIDExcelExporter

  Interface for creating an XML document out of grid data. Default implementation is `FIXGRIDExcelExporter`.
  Please use the default implementation for sub-classing.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `exportGrid(FIXGRIDBinding fixgrid, java.util.List<ColumnInfo> columns, java.util.List<java.util.List<FIXGRIDBinding.FormattedValue>> data, boolean selctedItemsOnly)` Creation of pdf document.
    `float` | `getColumnSizeFactor()`
    `int` | `getMaxNumberOfGridRows()`
    `void` | `setColumnSizeFactor(float columnSizeFactor)` There is a calculation of column widths which is based in the width definition inside the FIXGRID component.
    `void` | `setExportInfoProvider(IFIXGRIDExportInfoProvider exportInfoProvider)` Optional call back interface which allows the exporter to get more information about individual data rows/cells.
    `void` | `setGridTitle(java.lang.String title)` Setting of title text that is printed before the grid.
    `void` | `setMaxNumberOfGridRows(int maxNumberOfGridRows)`

- - ### Method Detail

    - #### setGridTitle

          void setGridTitle(java.lang.String title)

      Setting of title text that is printed before the grid.

    - #### exportGrid

          byte[] exportGrid(FIXGRIDBinding fixgrid,
                            java.util.List<ColumnInfo> columns,
                            java.util.List<java.util.List<FIXGRIDBinding.FormattedValue>> data,
                            boolean selctedItemsOnly)

      Creation of pdf document.

    - #### setExportInfoProvider

          void setExportInfoProvider(IFIXGRIDExportInfoProvider exportInfoProvider)

      Optional call back interface which allows the exporter to get more information about individual data rows/cells.

    - #### setColumnSizeFactor

          void setColumnSizeFactor(float columnSizeFactor)

      There is a calculation of column widths which is based in the width definition inside the FIXGRID component. You can influence this calculation by assigning a factor. The calculated width is multiplied with the factor after calculation. The default value of the factor is 1f representing "100%".

    - #### getColumnSizeFactor

          float getColumnSizeFactor()

    - #### setMaxNumberOfGridRows

          void setMaxNumberOfGridRows(int maxNumberOfGridRows)

    - #### getMaxNumberOfGridRows

          int getMaxNumberOfGridRows()

Copyright © CaptainCasa Gmbh. All Rights Reserved.